﻿#language: ru

@logistic

Функционал: 004. Logistic. Создание рабочих центров

Сценарий: 004.1. Logistic. Создание рабочего центра Сырная ГП

	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И в поле 'Наименование' я ввожу текст 'Сырная ГП'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Вид рабочего центра (создание)'
	И в поле 'Наименование' я ввожу текст 'Сырная ГП'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	Тогда открылось окно 'Виды рабочих центров'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение(РЦ)'
	И из выпадающего списка "График работы" я выбираю по строке 'Российская Федерация'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "СкладВспомогательныхМатериалов" я выбираю по строке 'Сырная ГП'
	И я перехожу к закладке "Производство"
	И в поле 'Доступность, ч' я ввожу текст '23,00'
	И в поле 'Время переналадки, ч' я ввожу текст '1,00'
	И я изменяю флаг 'Требуется обеспечение'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 004.2. Logistic. Создание рабочего центра Склад(ячейки и контроль)

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Рабочие центры'
	Тогда открылось окно 'Рабочие центры'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Рабочий центр (создание)'
	И в поле 'Наименование' я ввожу текст 'Склад(ячейки и контроль)'
	И я нажимаю кнопку выбора у поля "Вид рабочего центра"
	Тогда открылось окно 'Виды рабочих центров'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Вид рабочего центра (создание)'
	И в поле 'Наименование' я ввожу текст 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид рабочего центра (создание)' в течение 20 секунд
	Тогда открылось окно 'Виды рабочих центров'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Рабочий центр (создание) *'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение(РЦ)'
	И из выпадающего списка "График работы" я выбираю по строке 'Российская Федерация'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "СкладВспомогательныхМатериалов" я выбираю по строке 'Склад(ячейки и контроль)'
	И я перехожу к закладке "Производство"
	И в поле 'Доступность, ч' я ввожу текст '23,00'
	И в поле 'Время переналадки, ч' я ввожу текст '1,00'
	И я изменяю флаг 'Требуется обеспечение'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Рабочий центр (создание) *' в течение 20 секунд
	Тогда открылось окно 'Рабочие центры'
	И я закрываю окно 'Рабочие центры'

Сценарий: 004.3. Logistic. Завершение

	И Я закрыл все окна клиентского приложения	